Bug 799895

Summary: RuntimeError: Gtk couldn't be initialized
Product: [Fedora] Fedora Reporter: Petr Machata <pmachata>
Component: pygobject3Assignee: John (J5) Palmieri <johnp>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: icq, jkeck, johnp, mnewsome, sandro, yowang
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 10:09:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Petr Machata 2012-03-05 06:16:05 EST
This error might in fact be in the way that gnome-tweak-tool uses pygobject, I don't know for sure, but it's trivially reproducible from python prompt as well.  What this boils down to is the following one-liner:

$ python
Python 2.7.2 (default, Feb  9 2012, 22:06:37) 
[GCC 4.6.2 20111027 (Red Hat 4.6.2-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from gi.repository import Gtk
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/gi/importer.py", line 76, in load_module
    dynamic_module._load()
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 224, in _load
    overrides_modules = __import__('gi.overrides', fromlist=[self._namespace])
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 1419, in <module>
    raise RuntimeError("Gtk couldn't be initialized")
RuntimeError: Gtk couldn't be initialized

The backtrace that I'm getting from gnome-tweak-tool looks like this:
]$ gnome-tweak-tool 
Traceback (most recent call last):
  File "/usr/bin/gnome-tweak-tool", line 75, in <module>
    from gtweak.mainwindow import MainWindow
  File "/usr/lib/python2.7/site-packages/gtweak/mainwindow.py", line 20, in <module>
    from gi.repository import Gtk
  File "/usr/lib64/python2.7/site-packages/gi/importer.py", line 76, in load_module
    dynamic_module._load()
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 224, in _load
    overrides_modules = __import__('gi.overrides', fromlist=[self._namespace])
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 1419, in <module>
    raise RuntimeError("Gtk couldn't be initialized")
RuntimeError: Gtk couldn't be initialized


Version-Release number of selected component (if applicable):
$ rpm -q gnome-tweak-tool pygobject3
gnome-tweak-tool-3.2.2-2.fc16.noarch
pygobject3-3.0.3-1.fc16.ppc64

How reproducible:
Always

Steps to Reproduce:
1. python -c 'from gi.repository import Gtk'
  
Actual results:
Stack trace

Expected results:
<module 'Gtk'> or some such

Additional info:
I'm not sure this is relevant, but note that this is happening on ppc64.
Comment 1 Sandro Mathys 2012-07-23 07:30:51 EDT
I see this error when trying to start /usr/libexec/ibus-engine-anthy in F17/x86_64 with pygobject3-3.2.2-1
Comment 3 Fedora End Of Life 2013-01-16 09:08:22 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 10:10:01 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.